Package svnmailer :: Module settings :: Class RuntimeSettingsContainer

[hide private]

# Class RuntimeSettingsContainer

source code

            object --+
                     |
    typedstruct.Struct --+
                         |
                        RuntimeSettingsContainer

Container for runtime settings

See Also: runtimeMembers for the actual member list

Instance Methods | [hide private]

Inherited from `typedstruct.Struct`: `__del__`, `__init__`, `__repr__` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__reduce__`, `__reduce_ex__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Static Methods | [hide private]

Inherited from `typedstruct.Struct`: `__new__`

Class Variables | [hide private]

| _dict_ = `<svnmailer.typedstruct.StructDictDescriptor object at`...``
| _members_ = `<svnmailer.typedstruct.StructMembersDescriptor obj`...`` hash(x)
| _repos = `<svnmailer.typedstruct.MemberDescriptor object at 0x1`...``
| _set_ = `<svnmailer.typedstruct.StructSetDescriptor object at 0`...`` hash(x)
| _sub_ = `<svnmailer.typedstruct.StructSubDescriptor object at 0`...``
| action = `<svnmailer.struct_accessors.UnicodeDescriptor object `...``
| author = `<svnmailer.struct_accessors.UnicodeDescriptor object `...``
| config = `<svnmailer.struct_accessors.FilenameDescriptor object`...``
| debug = `<svnmailer.struct_accessors.BooleanDescriptor object a`...``
| mode = `<svnmailer.struct_accessors.StringDescriptor object at `...``
| path_encoding = `<svnmailer.struct_accessors.StringDescriptor o`...``
| propname = `<svnmailer.struct_accessors.UnicodeDescriptor objec`...``
| repository = `<svnmailer.struct_accessors.FilenameDescriptor ob`...``
| revision = `<svnmailer.struct_accessors.IntegerDescriptor objec`...``
| stdin = `<svnmailer.struct_accessors.StdinDescriptor object at `...``

Properties | [hide private]

Inherited from `object`: `__class__`

Class Variable Details | [hide private]

### _dict_

Value:

      <svnmailer.typedstruct.StructDictDescriptor object at 0x133ab90>

### _members_

    hash(x)

Value:

      <svnmailer.typedstruct.StructMembersDescriptor object at 0x133ab50>

### _repos

Value:

      <svnmailer.typedstruct.MemberDescriptor object at 0x133a890>

### _set_

    hash(x)

Value:

      <svnmailer.typedstruct.StructSetDescriptor object at 0x133a810>

### _sub_

Value:

      <svnmailer.typedstruct.StructSubDescriptor object at 0x133ab10>

### action

Value:

      <svnmailer.struct_accessors.UnicodeDescriptor object at 0x133aa10>

### author

Value:

      <svnmailer.struct_accessors.UnicodeDescriptor object at 0x133a950>

### config

Value:

      <svnmailer.struct_accessors.FilenameDescriptor object at 0x133aa90>

### debug

Value:

      <svnmailer.struct_accessors.BooleanDescriptor object at 0x133a8d0>

### mode

Value:

      <svnmailer.struct_accessors.StringDescriptor object at 0x133a9d0>

### path_encoding

Value:

      <svnmailer.struct_accessors.StringDescriptor object at 0x133aa50>

### propname

Value:

      <svnmailer.struct_accessors.UnicodeDescriptor object at 0x133a910>

### repository

Value:

      <svnmailer.struct_accessors.FilenameDescriptor object at 0x133a850>

### revision

Value:

      <svnmailer.struct_accessors.IntegerDescriptor object at 0x133aad0>

### stdin

Value:

      <svnmailer.struct_accessors.StdinDescriptor object at 0x133a990>